# Light_Plus

#### 介绍

高自由度的车顶指示大灯

支持用户自定义每位LED显示内容

#### 软件架构
软件使用STM32CubeMx+keil5 开发 

原理图 固件请参考Hardware Firmware文件夹 

可以直接打板使用


#### 安装教程

1. 定义一个uint8_t buffer[8] 数组 代表1-7LED显示内容

   | R    | G    | B    |
   | ---- | ---- | ---- |
   | 0    | 1    | 2    |

   色表如上
2. 使用 

   ```c
   HAL_I2C_Master_Transmit(&hi2c2,0x10<<1,RGB_ControlBit,8,10);
   ```

   发送数组 
   目标从机地址为  <font color=red>0x10</font>

3. Enjoy it！    

4. Tips : 推荐在UI任务中刷新 并在任务开始时适当延时1s左右等待车顶灯启动完成准备接受命令

5. 灯板接口线序 (端子在左)
   | GND  |
   | ---- |
   | VCC  |
   | SDA  |
   | SCL  |


#### 参与贡献

1.  Fork 本仓库
2.  新建 Feat_xxx 分支
3.  提交代码
4.  新建 Pull Request
5.  有需求欢迎提issue


## 更新日志
1. 本项目硬件使用LCEDA标准版绘制，由于当初为测试使用 可能忘记引出下载口，记得加上

有任何问题可以联系我QQ交流 2959660799
## 更新日志

1. 2023-5-27 第一版硬件测试完成
2. 2023-6-28 修正灯爆闪的bug  


